#ifndef __PROJECTMANAGER_H__
#define __PROJECTMANAGER_H__

#include <QObject>
#include <libxml/parser.h>
#include <libxml/tree.h>

class ProjectManager : public QObject
{
    Q_OBJECT

public:
    explicit ProjectManager(QObject *parent = nullptr);
    ~ProjectManager();

    bool openProject(const QString &fileName);
    void closeProject();

    xmlNodePtr canvas(const int &index);
    int canvasCount() const;

private:
    xmlDocPtr m_xmlDocPtr;
    QList<xmlNodePtr> m_canvasList;

};

#endif  // PROJECTMANAGER_H
